package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysPost;

public interface ISysPostService
{
    List<SysPost> selectPostList(final SysPost p0);
    
    List<SysPost> selectPostAll();
    
    SysPost selectPostById(final Long p0);
    
    List<Long> selectPostListByUserId(final Long p0);
    
    boolean checkPostNameUnique(final SysPost p0);
    
    boolean checkPostCodeUnique(final SysPost p0);
    
    int countUserPostById(final Long p0);
    
    int deletePostById(final Long p0);
    
    int deletePostByIds(final Long[] p0);
    
    int insertPost(final SysPost p0);
    
    int updatePost(final SysPost p0);
}
